Debian Bug report logs - #636976
ITP: hepmc -- C++ Event Record for Monte Carlo Generators

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Lifeng Sun <lifongsun@gmail.com>

Date: Sun, 7 Aug 2011 14:45:02 UTC

Owned by: Lifeng Sun <lifongsun@gmail.com>

Severity: wishlist

Fixed in version hepmc/2.06.08-1

Done: Lifeng Sun <lifongsun@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-science-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#636976; Package wnpp. (Sun, 07 Aug 2011 14:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lifeng Sun <lifongsun@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-science-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Sun, 07 Aug 2011 14:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lifeng Sun <lifongsun@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: hepmc -- C++ Event Record for Monte Carlo Generators
Date: Sun, 7 Aug 2011 22:41:33 +0800
[Message part 1 (text/plain, inline)]
Package: wnpp
Owner: Lifeng Sun <lifongsun@gmail.com>
Severity: wishlist
X-Debbugs-CC: debian-science-maintainers@lists.alioth.debian.org

* Package name    : hepmc
  Version         : 2.06.05
  Upstream Author : Lynn Garren <garren@fnal.gov>
* URL             : https://savannah.cern.ch/projects/hepmc/
* License         : GPL-2
  Programming Lang: C++
  Description     : C++ Event Record for Monte Carlo Generators

The HepMC package is an object oriented event record written in C++ for
High Energy Physics Monte Carlo Generators.

Many extensions from HEPEVT, the Fortran HEP standard, are supported:
the number of entries is unlimited, spin density matrices can be
stored with each vertex, flow patterns (such as color) can be stored
and traced, integers representing random number generator states can
be stored, and an arbitrary number of event weights can be
included. Particles and vertices are kept separate in a graph
structure, physically similar to a physics event.

The added information supports the modularisation of event generators.
Event information is accessed by means of iterators supplied with the
package.

-- 
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 29 May 2012 20:12:45 GMT) Full text and rfc822 format available.

Reply sent to Lifeng Sun <lifongsun@gmail.com>:
You have taken responsibility. (Fri, 01 Jun 2012 23:21:05 GMT) Full text and rfc822 format available.

Notification sent to Lifeng Sun <lifongsun@gmail.com>:
Bug acknowledged by developer. (Fri, 01 Jun 2012 23:21:05 GMT) Full text and rfc822 format available.

Message #12 received at 636976-close@bugs.debian.org (full text, mbox):

From: Lifeng Sun <lifongsun@gmail.com>
To: 636976-close@bugs.debian.org
Subject: Bug#636976: fixed in hepmc 2.06.08-1
Date: Fri, 01 Jun 2012 23:17:09 +0000
Source: hepmc
Source-Version: 2.06.08-1

We believe that the bug you reported is fixed in the latest version of
hepmc, which is due to be installed in the Debian FTP archive:

hepmc-examples_2.06.08-1_all.deb
  to main/h/hepmc/hepmc-examples_2.06.08-1_all.deb
hepmc-reference-manual_2.06.08-1_all.deb
  to main/h/hepmc/hepmc-reference-manual_2.06.08-1_all.deb
hepmc-user-manual_2.06.08-1_all.deb
  to main/h/hepmc/hepmc-user-manual_2.06.08-1_all.deb
hepmc_2.06.08-1.debian.tar.gz
  to main/h/hepmc/hepmc_2.06.08-1.debian.tar.gz
hepmc_2.06.08-1.dsc
  to main/h/hepmc/hepmc_2.06.08-1.dsc
hepmc_2.06.08.orig.tar.gz
  to main/h/hepmc/hepmc_2.06.08.orig.tar.gz
libhepmc-dev_2.06.08-1_i386.deb
  to main/h/hepmc/libhepmc-dev_2.06.08-1_i386.deb
libhepmc4_2.06.08-1_i386.deb
  to main/h/hepmc/libhepmc4_2.06.08-1_i386.deb
libhepmcfio-dev_2.06.08-1_i386.deb
  to main/h/hepmc/libhepmcfio-dev_2.06.08-1_i386.deb
libhepmcfio4_2.06.08-1_i386.deb
  to main/h/hepmc/libhepmcfio4_2.06.08-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636976@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lifeng Sun <lifongsun@gmail.com> (supplier of updated hepmc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 20 May 2012 14:26:51 +0800
Source: hepmc
Binary: libhepmc4 libhepmc-dev libhepmcfio4 libhepmcfio-dev hepmc-examples hepmc-user-manual hepmc-reference-manual
Architecture: source i386 all
Version: 2.06.08-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Lifeng Sun <lifongsun@gmail.com>
Description: 
 hepmc-examples - Event Record for Monte Carlo Generators - example files
 hepmc-reference-manual - Event Record for Monte Carlo Generators - Reference Manual
 hepmc-user-manual - Event Record for Monte Carlo Generators - User Manual
 libhepmc-dev - Event Record for Monte Carlo Generators - development files
 libhepmc4  - Event Record for Monte Carlo Generators
 libhepmcfio-dev - fio library of HepMC - development files
 libhepmcfio4 - fio library of HepMC
Closes: 636976
Changes: 
 hepmc (2.06.08-1) unstable; urgency=low
 .
   * Initial release (Closes: #636976)
Checksums-Sha1: 
 38318b12d02003d42a53b7051d080c81b1c4258f 1733 hepmc_2.06.08-1.dsc
 6d516aa3c37766a4c32963c9dbcd4dd6614cd9f4 3863843 hepmc_2.06.08.orig.tar.gz
 c398d5d2e7e786bcc99297c3df40ede7f54e78c3 5962 hepmc_2.06.08-1.debian.tar.gz
 29efae4a4abde37b558269b0e926b83bb6771400 109416 libhepmc4_2.06.08-1_i386.deb
 d2bbbcf87aa5e7ace70c3d384838293d742eade3 168884 libhepmc-dev_2.06.08-1_i386.deb
 90e87ffea8fb40aacd7c415773bfc08f5e8ce5e1 79858 libhepmcfio4_2.06.08-1_i386.deb
 e59fcb4f5c7cad924e762e11a58866befb716407 103820 libhepmcfio-dev_2.06.08-1_i386.deb
 0ecd738eaf3e1d265ed614b6e025a57e4c5891a3 69168 hepmc-examples_2.06.08-1_all.deb
 3098c709513a07cc460d51630a85d159bc6b922d 252800 hepmc-user-manual_2.06.08-1_all.deb
 f47d1595cfb957684dd7469be4bc2b6584bf7125 695674 hepmc-reference-manual_2.06.08-1_all.deb
Checksums-Sha256: 
 8190d3d3118a473bcde9afdeca83cd8080f2d960144b9b7c28d543f5899e6050 1733 hepmc_2.06.08-1.dsc
 8be6c1793e0a045f07ddb88bb64b46de7e66a52e75fb72b3f82f9a3e3ba8a8ce 3863843 hepmc_2.06.08.orig.tar.gz
 b2aa964171166255f165fea252add42b5abf9fb6a99c54f9f5333cbde401b1c6 5962 hepmc_2.06.08-1.debian.tar.gz
 8697dcfc5c65ac7ad462c66ae2f325a6bf8e3fbbf8e0b754a1703c2eec7611e1 109416 libhepmc4_2.06.08-1_i386.deb
 9565abbcc4b59bcbc15cebc37be1f153bbefafdff3ed120536892baef30da405 168884 libhepmc-dev_2.06.08-1_i386.deb
 6177419f36fef1ce95603a186f60ea6b8f81dbeb4418ac767bbf30ec972be4e5 79858 libhepmcfio4_2.06.08-1_i386.deb
 484caf5cdaedee3b28da5eb462f94e3e8917cd3684ecc117da6e5661f69c5529 103820 libhepmcfio-dev_2.06.08-1_i386.deb
 cc6295b910a8a092719f7d0eabcfb7902380d0e82d6b56416a4a161f6e064561 69168 hepmc-examples_2.06.08-1_all.deb
 90e9a156443f897231343a116e71024496052f61f4820819d50098db93260513 252800 hepmc-user-manual_2.06.08-1_all.deb
 7f2cd1e7f14e0159175fd2a339ae02a60a7e284f5f1a2431e2ac588077099c09 695674 hepmc-reference-manual_2.06.08-1_all.deb
Files: 
 1c4384e37cbb4682a749f85b897b8406 1733 science optional hepmc_2.06.08-1.dsc
 a2e889114cafc4f60742029d69abd907 3863843 science optional hepmc_2.06.08.orig.tar.gz
 0faed286ab5a7d64e8697c0371694aeb 5962 science optional hepmc_2.06.08-1.debian.tar.gz
 3172aeedc3aed6fb030f17cb0481595c 109416 libs optional libhepmc4_2.06.08-1_i386.deb
 5976f1d07fadc5805661c360fee7de2c 168884 libdevel optional libhepmc-dev_2.06.08-1_i386.deb
 9ea7bf8ebb5af6e743d170d81313297f 79858 libs optional libhepmcfio4_2.06.08-1_i386.deb
 4cfd77374784b243e064e977c7f7fcc7 103820 libdevel optional libhepmcfio-dev_2.06.08-1_i386.deb
 e0d64a21028fb9fc844beb6f1f461a81 69168 devel optional hepmc-examples_2.06.08-1_all.deb
 2d1964e78af3430d8fc10cc02f134614 252800 doc optional hepmc-user-manual_2.06.08-1_all.deb
 22dd1cc6f238dff215de3a2c2fcc4d0c 695674 doc optional hepmc-reference-manual_2.06.08-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/E8PYACgkQiOXXM92JlhCGugCg8B4pFwGEnCT59LAnGXWaI2+u
s8cAoKneQCSP+ky1/OyGwVNg1E8hQMc0
=xEPG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Jun 2012 07:43:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:47:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.